# Enable LTO
%global optflags        %{optflags} -flto=$(nproc)
%global build_ldflags   %{build_ldflags} -flto

Name:           gnome-internet-radio-locator
Version:        2.0.0
Release:        1%{?dist}
Summary:        GNOME Internet Radio Locator

License:        GPLv3+
URL:            http://gnomeradio.org
Source0:        https://gitlab.gnome.org/GNOME/gnome-internet-radio-locator/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.12.10
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-player-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.30
Requires:       hicolor-icon-theme

%description
GNOME Internet Radio Locator is a Free Software program that allows you to
easily locate and listen to Free Internet Radio stations by broadcasters on the
Internet with the help of map and text search.

GNOME Internet Radio Locator is developed on the GNOME desktop platform with
GNOME Maps, libchamplain and geocode-lib and it requires gstreamer 1.0 for
audio playback.

You can view all the stations in src/gnome-internet-radio-locator.xml and enter
city names in the GUI search input field in order to locate radio stations in
the city using the text search with auto-completion or click on one of the city
marker in the map to listen to a station.

To launch the program, you can click on Activities in GNOME and enter:

  gnome-internet-radio-locator

in the Search field or launch:

  gnome-internet-radio-locator

from gnome-terminal.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install
%find_lang %{name} --with-man

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_mandir}/man1/gnome-internet-radio-locator.1.*
%{_metainfodir}/*.appdata.xml

%changelog
* Mon Aug 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.0-1
- Initial package
